{% if paginator.hasPages %}
    <div class="pagination-container">
        <ul class="list-inline list-unstyled">
            {% if paginator.onFirstPage %}
                <li class="prev disabled">
                    <span>
                        <i class="fa fa-angle-left"></i>
                    </span>
                </li>
            {% else %}
                <li class="prev">
                    <a href="{{ paginator.previousPageUrl }}">
                        <i class="fa fa-angle-left"></i>
                    </a>
                </li>
            {% endif %}

            {% for element in elements %}
                {% if element is iterable %}
                    {% for page, url in element %}
                        <li {% if page == paginator.currentPage %}class="active"{% endif %}>
                            <a href="{{ url }}">
                                {{ page }}
                            </a>
                        </li>
                    {% endfor %}
                {% else %}
                    <li class="disabled">
                        <span>
                            {{ element }}
                        </span>
                    </li>
                {% endif %}
            {% endfor %}

            {% if paginator.hasMorePages %}
                <li class="next">
                    <a href="{{ paginator.nextPageUrl }}">
                        <i class="fa fa-angle-right"></i>
                    </a>
                </li>
            {% else %}
                <li class="next disabled">
                    <span>
                        <i class="fa fa-angle-right"></i>
                    </span>
                </li>
            {% endif %}
        </ul>
    </div>
{% endif %}